small pixel drawing of a pufferfish dotfiles

Add new gpg stuffs and new reset uril
j3s j3s@c3f.net
Fri, 14 Feb 2020 14:40:51 -0600
commit

3bc87dcaf2a5fa40e677954220bb56b4070d6bf3

parent

5ada02dd6499389800c00b9f28d8dfb00284e7b5

A .password-store/b/.gpg-id

@@ -0,0 +1,1 @@

+jesse.olson@bestbuy.com
A .password-store/b/default.gpg

@@ -0,0 +1,3 @@

+ * +ZY{/J>"lTbu ,@诂8狲済N !-`oO6 +qL󌮮GM4^+ޮi/.c[xFׯz9L^H"vQlb\Tn.AWʯu)%~h>ѓx 濫.)a0#ʬTW~ī,`e[)&B h{vtoӒD^yB~X/,+]o;?hVٙFw! Jsѻ03|"j^%e<!gHa7
A .password-store/b/otp.gpg

@@ -0,0 +1,4 @@

+ * +ZYX?zZ * '~TLkG8Js8%is8ijwT63"F+Mˊyr a1Ws,@= 4Ρe#*HnQ*.uNDW7V7Ӯ-l]7]dlzW# +T"VӣT+#<5dҧzX&Oin>f2Wu~okAtP1л-F/SfgHXr%4BJXb(>K+y(>Ơ:0l0*Bg5cN+! +QS2FK8f"+"˹<u0 lšZ9ʀb~N$qRbs>m揳 w`0ͬ?4$q(OXo!DHF<s!cmn
A bin/MACC02VK5ECHTD7/aws-reset-pass

@@ -0,0 +1,20 @@

+#!/bin/sh -e + +die() { + # Print a message and exit with '1' (error). + echo "$1" + exit 1 +} + +[ "$1" ] || die "You must specify a new pass" + +newpass="$1" + +echo "Resetting password" +for a in browse cgraph; do + for e in test stage prod; do + echo "-> ${a}_${e}..." + aws --profile "${a}_${e}" iam update-login-profile --user-name jesse.olson --password "$newpass" + echo "done" + done +done
M bin/MACC02VK5ECHTD7/jws-fetchbin/MACC02VK5ECHTD7/jws-fetch

@@ -14,7 +14,8 @@ AZ:Placement.AvailabilityZone,

Name:Tags[?Key==\`Name\`]|[0].Value, pubIP:PublicIpAddress, IP:PrivateIpAddress, - State:State.Name + State:State.Name, + VPC:VpcId }" | sed "s/$/ ${p}_${e}/" > "$dir/$date" & # add profile to end for easy greppin' # link current for other scripts